manifoldcf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ahmet Arslan (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CONNECTORS-915) Remove HttpClient 4.3 deprecation warnings from Apache Solr 5.x Plugin, when it exists
Date Thu, 05 Mar 2015 16:03:39 GMT

     [ https://issues.apache.org/jira/browse/CONNECTORS-915?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ahmet Arslan updated CONNECTORS-915:
------------------------------------
    Attachment: solr5x.patch

Apache Lucene/Solr 5.0.0 is released. What is the preferred course of action here?

Do we svn create manifoldcf/integration/solr-5.x/(trunk|braches|tags) ?

I created this solr5x-plugin patch (over manifoldcf/integration/solr-4.x/trunk). All warnings
and deprecations are gone. It leverages java7 too.

> Remove HttpClient 4.3 deprecation warnings from Apache Solr 5.x Plugin, when it exists
> --------------------------------------------------------------------------------------
>
>                 Key: CONNECTORS-915
>                 URL: https://issues.apache.org/jira/browse/CONNECTORS-915
>             Project: ManifoldCF
>          Issue Type: Task
>          Components: Solr-4.x-component
>    Affects Versions: ManifoldCF 1.5.1
>            Reporter: Ahmet Arslan
>            Assignee: Ahmet Arslan
>            Priority: Minor
>             Fix For: ManifoldCF next
>
>         Attachments: CONNECTORS-915.patch, CONNECTORS-915.patch, solr5x.patch
>
>
> Solr 4.7.0 uses HttpClient 4.3.1 which deprecates pretty much the entire way you used
to build httpclient instances. Lets use new API for integration/solr-4.x/trunk



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message